package de.ivu.elect.presentation.dashboard.entries;

import java.util.List;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

@Specializes
public class CoreDashboardEntryBuilder extends DashboardEntryBuilder {
  private static final long serialVersionUID = 1L;

  @Inject
  private transient WahlvorschlaegeDashboardEntry wahlvorschlaegeDashboardEntry;

  @Override
  public List<AbstractDashboardEntry> getEntriesInternal() {
    List<AbstractDashboardEntry> entries = super.getEntriesInternal();
    entries.add(wahlvorschlaegeDashboardEntry);
    return entries;
  }
}
